
// SampleDlg.h : header file
//

#pragma once

#include "Rs232cUsb.h"

// CSampleDlg dialog
class CSampleDlg : public CDialogEx
{
// Construction
public:
	CSampleDlg(CWnd* pParent = nullptr);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_SAMPLE_DIALOG };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	CButton m_Button1;
	CButton m_Button2;
	CButton m_Button3;
	CEdit m_Edit1;
	CEdit m_Edit2;
	CEdit m_Edit3;
	CEdit m_Edit4;
	CEdit m_Edit5;
	CString m_strEdit1;
	DWORD m_dwEdit2;
	CString m_strEdit3;
	DWORD m_dwEdit4;
	CString m_strEdit5;
	CRs232cUsb m_Rs232cUsb;										// RS-232C or USB object
};
